=== debian/changelog ===
libselinux (1.32-3) unstable; urgency=high

  * Bug fix: "python-selinux: package almost empty (except on i386)",
    thanks to Martin Dickopp. Actually, any time the sources are built
    straight from the .dsc, there exists a possibility that that the swig
    output .x file could be older than the source; and while it is
    feasible to use "touch" and md5sums of source files to fix this, it is
    far less kludgy to just build depend on swig. No other changes are
    made, and the swig output is only used by the python-selinux package.
    This fixes a grave bug on python-selinux               (Closes: #395915).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Nov 2006 13:19:27 -0600

libselinux (1.32-2) unstable; urgency=medium

  * Fix an instance of dpkg-shlibs being called with no arguments on some
    arches (I am not sure why it works for me on i386 UML's, but not on
    the buildd's, but the current version fixes the obvious bug).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 14:40:36 -0500

libselinux (1.32-1) unstable; urgency=low

  * New upstream release
    * Merged av_permissions.h update from Steve Grubb, adding
      setsockcreate and polmatch definitions.  
    * Merged patch from Darrel Goeddel to always use untranslated contexts
      in the userspace AVC.  
    *  Updated version for release. 

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Oct 2006 12:43:14 -0500

libselinux (1.30.28-2) unstable; urgency=high

  * Bug fix: "dpkg FTBFS", thanks to Nicolas François. Urgency high, since
    it makes an unrelated essential package FTBS,         (Closes: #389291).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 26 Sep 2006 01:11:35 -0500

libselinux (1.30.28-1) unstable; urgency=high

  * New upstream point release
      * Merged patch from Steve Smalley to fix SIGPIPE in setrans_client
      * Merged c++ class identifier fix from Joe Nall.
  * Bug fix: "libselinux1-dev: pkgconfig file needs Libs.private:
    -lpthread", thanks to Daniel Schepler . Since this is a serious bug,
    and makes important libraries FTBS, I am making the urgency high.
                                                       (Closes: #388375).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 20 Sep 2006 13:20:24 -0500

libselinux (1.30.27-3) unstable; urgency=low

  * Recompile with new libsepol1 version, to fix dependencies.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 15:37:51 -0500

libselinux (1.30.27-2) unstable; urgency=low

  * The strategy of not building  setrans_client on machines that lack
    tls support fell flat on its face, so switch to using posix thread
    mutexes instead.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Sep 2006 02:12:49 -0500

libselinux (1.30.27-1) unstable; urgency=low

  * New upstream point release
     * Merged patch to not log avc stats upon a reset from Steve Grubb.
     * Applied patch to revert compat_net setting upon policy load.
  * Provide md5sums
  * Bug fix: "FTBFS on architectures lacking TLS support", thanks to Marco
    d'Itri.  We don't build setrans_client on machines that lack tls
    support, and matchpathcon has been fixed to not require thread local
    storage.                                                 (Closes: #384667).
  * Bug fix: "libselinux: .version file for python package
    (python-selinux) contains spaces", thanks to Rudolph Pereira
                                                             (Closes: #385099).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Sep 2006 23:55:37 -0500

libselinux (1.30.26-2) unstable; urgency=low

  * Fix wrong directory the extensions were installed in.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 15 Aug 2006 00:04:39 -0500

libselinux (1.30.26-1) unstable; urgency=low

  * New upstream point release
    * Merged file context homedir and local path functions from Chris
      PeBenito.  
    * Rework functions that access /proc/pid/attr to access the per-thread
      nodes, and unify the code to simplify maintenance. 
    * Merged return value fix for *getfilecon() from Dan Walsh.
    * Merged sockcreate interfaces from Eric Paris.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Aug 2006 00:24:19 -0500

libselinux (1.30.22-2) unstable; urgency=low

  * Fix a thinko in the python dependency generation code.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 11 Aug 2006 09:35:56 -0500

libselinux (1.30.22-1) unstable; urgency=low

  * New upstream  point release
    * Merged no-tls-direct-seg-refs patch from Jeremy Katz.
    * Merged netfilter_contexts support patch from Chris PeBenito.
    * Merged context_*_set errno patch from Jim Meyering.
  * Bug fix: "libselinux: FTBFS on powerpc (refers to PAGE_SIZE not
    supplied by ppc kernel-headers)", thanks to Devin Carraway.  This was
    fixed in the point release.                        (Closes: #381666).
  * Bug fix: "libselinux1: Should run "telinit u" in postinst script",
    thanks to Piotr Kaczuba                            (Closes: #382021).
  * Moved the package to the new Python policy. This means that the old
    python2.4-selinux package is now a virtual package, and now we provide
    python packages for all supported versions of python, determining the
    depends and the provides relationships of the python package
    dynamically. The build depends has been changed to acoomodate it. The
    package uses the python-support utility to help with byte compilation
    and other modules handling.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Aug 2006 21:22:21 -0500

libselinux (1.30.19-1) unstable; urgency=low

  * New upstream point release. 
    * Lindent.
    * Merged {get,set}procattrcon patch set from Eric Paris.
    * Merged re-base of keycreate patch originally by Michael LeMay from Eric Paris.
    * Regenerated Flask headers from refpolicy.
    * Merged patch from Dan Walsh with:
      - Added selinux_file_context_{cmp,verify}.

