=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

http://www.nsa.gov/selinux/code/download5.cfm ../archives/libselinux-(.*)\.tgz
#http://www.nsa.gov/selinux/archives/libselinux-(.*)\.tgz
